Enumerations

# toolbar_widget.h File Reference

Types related to the toolbar widgets. More...

Go to the source code of this file.

## Enumerations
enum | ToolbarNormalWidgets { WID_TN_PAUSE, WID_TN_FAST_FORWARD, WID_TN_SETTINGS, WID_TN_SAVE, WID_TN_SMALL_MAP, WID_TN_TOWNS, WID_TN_SUBSIDIES, WID_TN_STATIONS, WID_TN_FINANCES, WID_TN_COMPANIES, WID_TN_GRAPHS, WID_TN_LEAGUE, WID_TN_INDUSTRIES, WID_TN_VEHICLE_START, WID_TN_TRAINS = WID_TN_VEHICLE_START, WID_TN_ROADVEHS, WID_TN_SHIPS, WID_TN_AIRCRAFTS, WID_TN_ZOOM_IN, WID_TN_ZOOM_OUT, WID_TN_RAILS, WID_TN_ROADS, WID_TN_WATER, WID_TN_AIR, WID_TN_LANDSCAPE, WID_TN_MUSIC_SOUND, WID_TN_MESSAGES, WID_TN_HELP, WID_TN_SWITCH_BAR, WID_TN_END }
| Widgets of the MainToolbarWindow class. More...
enum | ToolbarEditorWidgets { WID_TE_PAUSE, WID_TE_FAST_FORWARD, WID_TE_SETTINGS, WID_TE_SAVE, WID_TE_SPACER, WID_TE_DATE, WID_TE_DATE_BACKWARD, WID_TE_DATE_FORWARD, WID_TE_SMALL_MAP, WID_TE_ZOOM_IN, WID_TE_ZOOM_OUT, WID_TE_LAND_GENERATE, WID_TE_TOWN_GENERATE, WID_TE_INDUSTRY, WID_TE_ROADS, WID_TE_WATER, WID_TE_TREES, WID_TE_SIGNS, WID_TE_DATE_PANEL, WID_TE_MUSIC_SOUND = WID_TN_MUSIC_SOUND, WID_TE_HELP = WID_TN_HELP, WID_TE_SWITCH_BAR = WID_TN_SWITCH_BAR }
| Widgets of the ScenarioEditorToolbarWindow class. More...

## Detailed Description

Types related to the toolbar widgets.

Definition in file toolbar_widget.h.

## Enumeration Type Documentation

enum ToolbarEditorWidgets

Widgets of the ScenarioEditorToolbarWindow class.

Enumerator:

  WID_TE_PAUSE | Pause the game.
  WID_TE_FAST_FORWARD | Fast forward the game.
  WID_TE_SETTINGS | Settings menu.
  WID_TE_SAVE | Save menu.
  WID_TE_SPACER | Spacer with "scenario editor" text.
  WID_TE_DATE | The date of the scenario.
  WID_TE_DATE_BACKWARD | Reduce the date of the scenario.
  WID_TE_DATE_FORWARD | Increase the date of the scenario.
  WID_TE_SMALL_MAP | Small map menu.
  WID_TE_ZOOM_IN | Zoom in the main viewport.
  WID_TE_ZOOM_OUT | Zoom out the main viewport.
  WID_TE_LAND_GENERATE | Land generation.
  WID_TE_TOWN_GENERATE | Town building window.
  WID_TE_INDUSTRY | Industry building window.
  WID_TE_ROADS | Road building menu.
  WID_TE_WATER | Water building toolbar.
  WID_TE_TREES | Tree building toolbar.
  WID_TE_SIGNS | Sign building.
  WID_TE_DATE_PANEL | Container for the date widgets.
  WID_TE_MUSIC_SOUND | Music/sound configuration menu.
  WID_TE_HELP | Help menu.
  WID_TE_SWITCH_BAR | Only available when toolbar has been split to switch between different subsets.

Definition at line 50 of file toolbar_widget.h.

enum ToolbarNormalWidgets

Widgets of the MainToolbarWindow class.

Enumerator:

  WID_TN_PAUSE | Pause the game.
  WID_TN_FAST_FORWARD | Fast forward the game.
  WID_TN_SETTINGS | Settings menu.
  WID_TN_SAVE | Save menu.
  WID_TN_SMALL_MAP | Small map menu.
  WID_TN_TOWNS | Town menu.
  WID_TN_SUBSIDIES | Subsidy menu.
  WID_TN_STATIONS | Station menu.
  WID_TN_FINANCES | Finance menu.
  WID_TN_COMPANIES | Company menu.
  WID_TN_GRAPHS | Graph menu.
  WID_TN_LEAGUE | Company league menu.
  WID_TN_INDUSTRIES | Industry menu.
  WID_TN_VEHICLE_START | Helper for the offset of the vehicle menus.
  WID_TN_TRAINS | Train menu.
  WID_TN_ROADVEHS | Road vehicle menu.
  WID_TN_SHIPS | Ship menu.
  WID_TN_AIRCRAFTS | Aircraft menu.
  WID_TN_ZOOM_IN | Zoom in the main viewport.
  WID_TN_ZOOM_OUT | Zoom out the main viewport.
  WID_TN_RAILS | Rail building menu.
  WID_TN_ROADS | Road building menu.
  WID_TN_WATER | Water building toolbar.
  WID_TN_AIR | Airport building toolbar.
  WID_TN_LANDSCAPE | Landscaping toolbar.
  WID_TN_MUSIC_SOUND | Music/sound configuration menu.
  WID_TN_MESSAGES | Messages menu.
  WID_TN_HELP | Help menu.
  WID_TN_SWITCH_BAR | Only available when toolbar has been split to switch between different subsets.
  WID_TN_END | Helper for knowing the amount of widgets.

Definition at line 16 of file toolbar_widget.h.